{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":582,"path":"api-reference/rest-apis/wsd_reservation_invitees-api.md","title":"WSD Reservation Invitees API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Reservation Invitees API\n\nThe Workplace Service Delivery \\(WSD\\) Reservation Invitees API provides endpoints to add invitees to reservations, fetch invitees of a reservation, and reassign invitees of a reservation.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role and the Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugin must be activated.\n\nThis API runs in the `sn_wsd_rsv` namespace.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Reservation Invitees - GET /api/sn\\_wsd\\_rsv/wsd\\_reservation\\_invitees/reservation/\\{sys\\_id\\}\n\nRetrieves details about the invitees associated with a specified reservation.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/wsd_reservation_invitees/reservation/{sys_id}`\n\nDefault URL: `/api/sn_wsd_rsv/reservation/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the reservation for which to return the invitee details.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nReturn results for the invitees associated with the specified reservation.Data type: Object\n\n```\n{\n  \"result\": {\n    \"invitees\": [Array],\n    \"reservationId\": \"String\",\n    \"reservationSubType\": \"String\",\n    \"success\": Boolean\n  }\n}\n```\n\n</td></tr><tr><td>\n\nresult.invitees\n\n</td><td>\n\nDetails about the invitees associated with the reservation.Data type: Array of Objects\n\n```\n\"invitees\": [\n  {\n    \"email\": \"String\",\n    \"firstName\": \"String\",\n    \"inviteeId\": \"String\",\n    \"inviteState\": {Object},\n    \"inviteeType\": \"String\",\n    \"isVIP\": Boolean,\n    \"isWifiRequired\": Boolean,\n    \"isParkingRequired\": Boolean,\n    \"lastName\": \"String\",\n    \"licensePlate\": \"String\",\n    \"location\": {Object},\n    \"name\": \"String\",\n    \"org\": \"String\",\n    \"parkingType\": \"String\",\n    \"phoneNumber\": \"String\",\n    \"privateNotes\": \"String\",\n    \"reservationId\": \"String\",\n    \"reservationInviteeId\": \"String\",\n    \"title\": \"String\",\n    \"visitorType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.invitees.email\n\n</td><td>\n\nEmail address of the invitee.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.invitees.firstName\n\n</td><td>\n\nFirst name of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.inviteeId\n\n</td><td>\n\nSys\\_id of the employee's user record.\n\nData type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nresult.invitees.inviteState\n\n</td><td>\n\nDetails about the current state of the invitee for the reservation.Data type: Object\n\n```\n\"inviteState\": {\n  \"displayValue\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.invitees.inviteState.displayValue\n\n</td><td>\n\nDisplay value for the invitee state, such as New or Removed.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.inviteState.value\n\n</td><td>\n\nInternal value for the invitee state.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.inviteeType\n\n</td><td>\n\nType of invitee.\n\nValid values: \\(case-sensitive\\)\n\n-   employee\n-   visitor\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.invitees.isVIP\n\n</td><td>\n\nFlag that indicates whether the invitee is classified as a VIP.Valid values:\n\n-   true: Invitee is a VIP.\n-   false: Invitee isn't a VIP.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.invitees.isWifiRequired\n\n</td><td>\n\nFlag that indicates whether the WIFI password should be provided to the visitor upon entry.Valid values:\n\n-   true: Provide WIFI password.\n-   false: Don't provide WIFI password.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.invitees.isParkingRequired\n\n</td><td>\n\nFlag that indicates whether the invitee requires parking.Valid values:\n\n-   true: Parking needed.\n-   false: Parking isn't needed.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.invitees.lastName\n\n</td><td>\n\nLast name of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.licensePlate\n\n</td><td>\n\nLicense plate of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.location\n\n</td><td>\n\nDetails about the workplace location of the invitee.Data type: Object\n\n```\n \"location\": {\n  \"displayName\": \"String\",\n  \"sysId\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.invitees.location.displayName\n\n</td><td>\n\nDisplay name of the invitee's workplace location, such as Dublin.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.location.sysId\n\n</td><td>\n\nSys\\_id of the invitee workplace location.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_worplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.invitees.name\n\n</td><td>\n\nName of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.org\n\n</td><td>\n\nOrganization of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.parkingType\n\n</td><td>\n\nType of parking required for invitee.Valid values: \\(case-sensitive\\)\n\n-   ev\\_parking\n-   none\n-   normal\\_parking\n-   van\\_accessible\\_parking\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.invitees.phoneNumber\n\n</td><td>\n\nPhone number of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.privateNotes\n\n</td><td>\n\nAny additional notes provided by the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.reservationId\n\n</td><td>\n\nSys\\_id of the reservation to which the invitee is associated.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.invitees.reservationInviteeId\n\n</td><td>\n\nSys\\_id of the reservation invitee for visitor.\n\n Data type: String\n\n Table: Reservation Invitee \\[sn\\_wsd\\_rsv\\_m2m\\_reservation\\_invitee\\]\n\n</td></tr><tr><td>\n\nresult.invitees.title\n\n</td><td>\n\nTitle of the invitee.Data type: String\n\n</td></tr><tr><td>\n\nresult.invitees.visitorType\n\n</td><td>\n\nType of invitee.Valid values: \\(case-sensitive\\)\n\n-   client\n-   contractor\n-   friend\\_family\n-   others\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.reservationId\n\n</td><td>\n\nSys\\_id of the reservation to which the invitee is associated.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.reservationSubType\n\n</td><td>\n\nSub-type of the reservation record, such as single or multi-child.Data type: String\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the call was successful.Possible values:\n\n-   true: Endpoint call was successful.\n-   false: Endpoint call failed.\n\nData type: Boolean\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to retrieve the invitees for a reservation.\n\n```\ncurl \n\"http://instance.servicenow.com/api/sn_wsd_rsv/wsd_reservation_invitees/reservation/17979dc9536b01103cf7ddeeff7b12b3\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"reservationId\": \"17979dc9536b01103cf7ddeeff7b12b3\",\n    \"reservationSubType\": \"single\",\n    \"invitees\": [\n      {\n        \"reservationId\": \"17979dc9536b01103cf7ddeeff7b12b3\",\n        \"location\": {\n          \"sysId\": \"19efb84edb7650106c731dcd1396193c\",\n          \"displayName\": \"Dublin\"\n        },\n        \"reservationInviteeId\": \"1f97d58d53e701103cf7ddeeff7b129a\",\n        \"inviteeType\": \"employee\",\n        \"inviteState\": {\n          \"displayValue\": \"New\",\n          \"value\": \"new\"\n        },\n        \"inviteeId\": \"6816f79cc0a8016401c5a33be04be441\",\n        \"name\": \"System Administrator\",\n        \"email\": \"admin@example.com\"\n      },\n      {\n        \"reservationId\": \"17979dc9536b01103cf7ddeeff7b12b3\",\n        \"location\": {\n          \"sysId\": \"19efb84edb7650106c731dcd1396193c\",\n          \"displayName\": \"Dublin\"\n        },\n        \"reservationInviteeId\": \"8ee7ddc9536b01103cf7ddeeff7b1219\",\n        \"inviteeType\": \"employee\",\n        \"inviteState\": {\n          \"displayValue\": \"New\",\n          \"value\": \"new\"\n        },\n        \"inviteeId\": \"62826bf03710200044e0bfc8bcbe5df1\",\n        \"name\": \"Abel Tuter\",\n        \"email\": \"abel.tuter@example.com\"\n      },\n      {\n        \"reservationId\": \"17979dc9536b01103cf7ddeeff7b12b3\",\n        \"location\": {\n          \"sysId\": \"19efb84edb7650106c731dcd1396193c\",\n          \"displayName\": \"Dublin\"\n        },\n        \"reservationInviteeId\": \"4ae7d10d536b01103cf7ddeeff7b126b\",\n        \"inviteeType\": \"visitor\",\n        \"inviteState\": {\n          \"displayValue\": \"New\",\n          \"value\": \"new\"\n        },\n        \"inviteeId\": \"86e7d10d536b01103cf7ddeeff7b1267\",\n        \"firstName\": \"Visitor\",\n        \"lastName\": \"User\",\n        \"name\": \"Visitor User\",\n        \"email\": \"visitoruser@example.com\",\n        \"phoneNumber\": \"+919876543210\",\n        \"isVIP\": true,\n        \"parkingType\": \"normal_parking\",\n        \"licensePlate\": \"1234\",\n        \"isParkingRequired\": true,\n        \"org\": \"Senow\",\n        \"visitorType\": \"contractor\",\n        \"title\": \"President\",\n        \"isWifiRequired\": true,\n        \"privateNotes\": \"Visiting\"\n      }\n    ]\n  }\n}\n```\n\n## WSD Reservation Invitees - POST /api/sn\\_wsd\\_rsv/wsd\\_reservation\\_invitees/reassign\n\nReassigns the specified invitees from one reservation to another.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/wsd_reservation_invitees/reassign`\n\nDefault URL: `/api/sn_wsd_rsv/wsd_reservation_invitees/reassign`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nreservationId\n\n</td><td>\n\nRequired. Sys\\_id of the reservation for which to reassign the invitees.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nreservationInvitees\n\n</td><td>\n\nList of invitees to reassign to the reservation identified in the **reservationId** parameter.This removes the specified invitees from an earlier reservation in which they were present as per the reservation invitee table and moves them to this reservation.\n\nData type: Array of Strings\n\nTable: Reservation Invitee \\[sn\\_wsd\\_rsv\\_m2m\\_reservation\\_invitee\\]\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the invitee reassignment.Data type: Object\n\n```\n\"result\": {\n   \"reservationInviteeIds\": [Array],\n   \"success\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservationInviteeIds\n\n</td><td>\n\nList of sys\\_ids of the reservation invitees that were re-assigned to the specified reservation.Data type: Array of Strings\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the invitees were reassigned to the reservation.Possible values:\n\n-   true: Invitees were successfully reassigned.\n-   false: Invitees weren't reassigned.\n\nData type: Boolean\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to reassign invitees to a reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/wsd_reservation_invitees/reassign\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n\\\"reservationId\\\":\\\"3984e6c1532f01103cf7ddeeff7b129b\\\",\n\\\"reservationInvitees\\\":{\\\"aa31427f531701103cf7ddeeff7b1243\\\",\\\"e231427f531701103cf7ddeeff7b1243\\\"}\n}\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"reservationInviteeIds\": [\n      \"aa31427f531701103cf7ddeeff7b1243\",\n      \"e231427f531701103cf7ddeeff7b1243\"\n    ]\n  }\n}\n```\n\n## WSD Reservation Invitees - POST /api/sn\\_wsd\\_rsv/wsd\\_reservation\\_invitees/submit\n\nAdds the specified invitees to a specified reservation.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/wsd_reservation_invitees/submit`\n\nDefault URL: `/api/sn_wsd_rsv/wsd_reservation_invitees/submit`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ninvitees\n\n</td><td>\n\nList of invitees to add to the specified reservation.Data type: Object\n\n ```\n\"invitees\": [\n  {\n    \"email\": \"String\",\n    \"firstName\": \"String\",\n    \"inviteeId\": \"String\",\n    \"inviteeType\": \"String\",\n    \"isVIP\": Boolean,\n    \"isWifiRequired\": Boolean,\n    \"lastName\": \"String\",\n    \"licensePlate\": \"String\",\n    \"org\": \"String\",\n    \"parkingType\": \"String\",\n    \"phone\": \"String\",\n    \"privateNotes\": \"String\",\n    \"title\": \"String\",\n    \"visitorType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvitees.email\n\n</td><td id=\"invitees_email-reserv-entry\">\n\nRequired when **inviteeType** is \"visitor\". Email address of the invitee.\n\nData type: String\n\n</td></tr><tr><td>\n\ninvitees.firstName\n\n</td><td id=\"invitees_firstName-reserv-entry\">\n\nFirst name of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.inviteeId\n\n</td><td id=\"invitees_inviteeId-reserv-entry\">\n\nRequired if **inviteType** is \"employee\". Sys\\_id of the employee's user record.\n\nData type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ninvitees.inviteeType\n\n</td><td id=\"invitees_inviteeType-reserv-entry\">\n\nRequired. Type of invitee.\n\nValid values: \\(case-sensitive\\)\n\n-   employee\n-   visitor\n\nData type: String\n\n</td></tr><tr><td>\n\ninvitees.isVIP\n\n</td><td id=\"invitees_isVIP-reserv-entry\">\n\nFlag that indicates whether the invitee is classified as a VIP.Valid values:\n\n-   true: Invitee is a VIP.\n-   false: Invitee isn't a VIP.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ninvitees.isWifiRequired\n\n</td><td id=\"invitees_isWifiRequired-reserv-entry\">\n\nFlag that indicates whether the WIFI password should be provided to the visitor upon entry.Valid values:\n\n-   true: Provide WIFI password.\n-   false: Don't provide WIFI password.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ninvitees.lastName\n\n</td><td id=\"invitees_lastName-reserv-entry\">\n\nLast name of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.licensePlate\n\n</td><td id=\"invitees_licensePlate-reserv-entry\">\n\nLicense plate of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.org\n\n</td><td id=\"invitees_org-reserv-entry\">\n\nOrganization of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.parkingType\n\n</td><td id=\"invitees_parkingType-reserv-entry\">\n\nType of parking required for invitee.Valid values: \\(case-sensitive\\)\n\n-   ev\\_parking\n-   none\n-   normal\\_parking\n-   van\\_accessible\\_parking\n\nData type: String\n\n</td></tr><tr><td>\n\ninvitees.phone\n\n</td><td id=\"invitees_phone-reserv-entry\">\n\nPhone number of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.privateNotes\n\n</td><td id=\"invitees_privateNotes-reserv-entry\">\n\nAny additional notes provided by the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.title\n\n</td><td id=\"invitees_title-reserv-entry\">\n\nTitle of the invitee.Data type: String\n\n</td></tr><tr><td>\n\ninvitees.visitorType\n\n</td><td id=\"invitees_type-reserv-entry\">\n\nType of invitee.Valid values: \\(case-sensitive\\)\n\n-   client\n-   contractor\n-   friend\\_family\n-   others\n\nData type: String\n\n</td></tr><tr><td>\n\nreservationId\n\n</td><td id=\"reservationId-reserv-entry\">\n\nRequired. Sys\\_id of the reservation for which to add the invitees.\n\nData type: String\n\nTable: Workplace Reservations \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResult of adding the invitees to the reservation.Data type: Object\n\n ```\n\"result\": {\n  \"reservationId\": \"String\",\n  \"success\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\nresult.reservationId\n\n</td><td>\n\nSys\\_id of the reservation to which the invitee was added.Data type: String\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the invitees were added to the reservation.Possible values:\n\n-   true: Invitees were successfully added.\n-   false: Invitees were not added.\n\n Data type: Boolean\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to add both a visitor and an employee to a reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/v1/wsd_reservation_invitees/submit\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{[\n  \\\"reservationId\\\": \\\"041c4a13532f01103cf7ddeeff7b12c0\\\",\n  \\\"invitees\\\": [\n  {\n    \\\"inviteeType\\\": \\\"employee\\\",\n    \\\"inviteeId\\\": \\\"62826bf03710200044e0bfc8bcbe5df1\\\"\n  },\n  {\n    \\\"inviteeType\\\":  \\\"visitor\\\",\n    \\\"email\\\": \\\"visitoruser@example.com\\\",\n    \\\"firstName\\\": \\\"Visitor\\\",\n    \\\"lastName\\\":\\\"User\\\",\n    \\\"isVIP\\\":true,\n    \\\"visitorType\\\":\\\"contractor\\\",\n    \\\"title\\\": \\\"ServiceNow Developer\\\",\n    \\\"phone\\\": \\\"+91 9876543210\\\",\n    \\\"isWifiRequired\\\": true,\n    \\\"parkingType\\\": \\\"ev_parking\\\",\n    \\\"licensePlate\\\": \\\"TS00TS0000\\\",\n    \\\"org\\\": \\\"ServiceNow\\\",\n    \\\"privateNotes\\\": \\\"Remarks\\\"\n  }\n]}\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"reservationId\": \"17979dc9536b01103cf7ddeeff7b12b3\"\n  }\n}\n```\n\n"}}